Package org.lwjgl.opengl

# Class GL40

java.lang.Object
org.lwjgl.opengl.GL40

public final class GL40 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_SUBROUTINE_MAX_LENGTH`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORMS`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINES`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:
`static final int`
`GL_DOUBLE_MAT2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT2x3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT2x4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3x2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT3x4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4x2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_MAT4x3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC2`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC3`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DOUBLE_VEC4`
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_DRAW_INDIRECT_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:
`static final int`
`GL_DRAW_INDIRECT_BUFFER_BINDING`
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRACTIONAL_EVEN`
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:
`static final int`
`GL_FRACTIONAL_ODD`
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:
`static final int`
`GL_FRAGMENT_INTERPOLATION_OFFSET_BITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_GEOMETRY_SHADER_INVOCATIONS`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_INT_SAMPLER_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_ISOLINES`
Returned by GetProgramiv when <pname> is TESS_GEN_MODE:
`static final int`
`GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_FRAGMENT_INTERPOLATION_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_GEOMETRY_SHADER_INVOCATIONS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_PATCH_VERTICES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_SUBROUTINES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_INPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_GEN_LEVEL`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TESS_PATCH_COMPONENTS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_VERTEX_STREAMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MIN_FRAGMENT_INTERPOLATION_OFFSET`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MIN_SAMPLE_SHADING_VALUE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_NUM_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:
`static final int`
`GL_PATCH_DEFAULT_INNER_LEVEL`
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCH_DEFAULT_OUTER_LEVEL`
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCH_VERTICES`
Accepted by the <pname> parameter of PatchParameteri, GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_PATCHES`
Accepted by the <mode> parameter of Begin and all vertex array functions that implicitly call Begin:
`static final int`
`GL_PROXY_TEXTURE_CUBE_MAP_ARRAY`
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:
`static final int`
`GL_SAMPLE_SHADING`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLER_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TESS_CONTROL_OUTPUT_VERTICES`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_CONTROL_SHADER`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_TESS_EVALUATION_SHADER`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_TESS_GEN_MODE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_POINT_MODE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_SPACING`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TESS_GEN_VERTEX_ORDER`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_TEXTURE_BINDING_CUBE_MAP_ARRAY`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_TEXTURE_CUBE_MAP_ARRAY`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, BindTexture, and GenerateMipmap:
`static final int`
`GL_TRANSFORM_FEEDBACK`
Accepted by the <target> parameter of BindTransformFeedback:
`static final int`
`GL_TRANSFORM_FEEDBACK_ACTIVE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TRANSFORM_FEEDBACK_PAUSED`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginQueryIndexed(int target, int index, int id)`
`static void`
`glBindTransformFeedback(int target, int id)`
`static void`
`glBlendEquationi(int buf, int mode)`
`static void`
`glBlendEquationSeparatei(int buf, int modeRGB, int modeAlpha)`
`static void`
`glBlendFunci(int buf, int src, int dst)`
`static void`
`glBlendFuncSeparatei(int buf, int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)`
`static void`
`glDeleteTransformFeedbacks(int id)`
Overloads glDeleteTransformFeedbacks.
`static void`
`glDeleteTransformFeedbacks(IntBuffer ids)`
`static void`
`glDrawArraysIndirect(int mode, long indirect_buffer_offset)`
`static void`
`glDrawArraysIndirect(int mode, ByteBuffer indirect)`
`static void`
`glDrawArraysIndirect(int mode, IntBuffer indirect)`
Overloads glDrawArraysIndirect.
`static void`
`glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)`
`static void`
`glDrawElementsIndirect(int mode, int type, ByteBuffer indirect)`
`static void`
`glDrawElementsIndirect(int mode, int type, IntBuffer indirect)`
Overloads glDrawElementsIndirect.
`static void`
`glDrawTransformFeedback(int mode, int id)`
`static void`
`glDrawTransformFeedbackStream(int mode, int id, int stream)`
`static void`
`glEndQueryIndexed(int target, int index)`
`static int`
`glGenTransformFeedbacks()`
Overloads glGenTransformFeedbacks.
`static void`
`glGenTransformFeedbacks(IntBuffer ids)`
`static String`
`glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize)`
Overloads glGetActiveSubroutineName.
`static void`
`glGetActiveSubroutineName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)`
`static int`
`glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname, IntBuffer values)`
`static int`
`glGetActiveSubroutineUniformi(int program, int shadertype, int index, int pname)`
Overloads glGetActiveSubroutineUniformiv.
`static String`
`glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize)`
Overloads glGetActiveSubroutineUniformName.
`static void`
`glGetActiveSubroutineUniformName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)`
`static int`
`glGetProgramStage(int program, int shadertype, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetProgramStage(int program, int shadertype, int pname, IntBuffer values)`
`static int`
`glGetProgramStagei(int program, int shadertype, int pname)`
Overloads glGetProgramStageiv.
`static int`
`glGetQueryIndexed(int target, int index, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetQueryIndexed(int target, int index, int pname, IntBuffer params)`
`static int`
`glGetQueryIndexedi(int target, int index, int pname)`
Overloads glGetQueryIndexediv.
`static int`
`glGetSubroutineIndex(int program, int shadertype, CharSequence name)`
Overloads glGetSubroutineIndex.
`static int`
`glGetSubroutineIndex(int program, int shadertype, ByteBuffer name)`
`static int`
`glGetSubroutineUniformLocation(int program, int shadertype, CharSequence name)`
Overloads glGetSubroutineUniformLocation.
`static int`
`glGetSubroutineUniformLocation(int program, int shadertype, ByteBuffer name)`
`static void`
`glGetUniform(int program, int location, DoubleBuffer params)`
`static int`
`glGetUniformSubroutineu(int shadertype, int location)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetUniformSubroutineu(int shadertype, int location, IntBuffer params)`
`static int`
`glGetUniformSubroutineui(int shadertype, int location)`
Overloads glGetUniformSubroutineuiv.
`static boolean`
`glIsTransformFeedback(int id)`
`static void`
`glMinSampleShading(float value)`
`static void`
`glPatchParameter(int pname, FloatBuffer values)`
`static void`
`glPatchParameteri(int pname, int value)`
`static void`
`glPauseTransformFeedback()`
`static void`
`glResumeTransformFeedback()`
`static void`
`glUniform1(int location, DoubleBuffer value)`
`static void`
`glUniform1d(int location, double x)`
`static void`
`glUniform2(int location, DoubleBuffer value)`
`static void`
`glUniform2d(int location, double x, double y)`
`static void`
`glUniform3(int location, DoubleBuffer value)`
`static void`
`glUniform3d(int location, double x, double y, double z)`
`static void`
`glUniform4(int location, DoubleBuffer value)`
`static void`
`glUniform4d(int location, double x, double y, double z, double w)`
`static void`
`glUniformMatrix2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix2x3(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix2x4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3x2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix3x4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4x2(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformMatrix4x3(int location, boolean transpose, DoubleBuffer value)`
`static void`
`glUniformSubroutinesu(int shadertype, IntBuffer indices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DRAW_INDIRECT_BUFFER

public static final int GL_DRAW_INDIRECT_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

See Also:
  - Constant Field Values

### GL_DRAW_INDIRECT_BUFFER_BINDING

public static final int GL_DRAW_INDIRECT_BUFFER_BINDING
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SHADER_INVOCATIONS

public static final int GL_GEOMETRY_SHADER_INVOCATIONS
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_SHADER_INVOCATIONS

public static final int GL_MAX_GEOMETRY_SHADER_INVOCATIONS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

public static final int GL_MIN_FRAGMENT_INTERPOLATION_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

public static final int GL_MAX_FRAGMENT_INTERPOLATION_OFFSET
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

public static final int GL_FRAGMENT_INTERPOLATION_OFFSET_BITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_STREAMS

public static final int GL_MAX_VERTEX_STREAMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC2

public static final int GL_DOUBLE_VEC2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC3

public static final int GL_DOUBLE_VEC3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_VEC4

public static final int GL_DOUBLE_VEC4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2

public static final int GL_DOUBLE_MAT2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3

public static final int GL_DOUBLE_MAT3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4

public static final int GL_DOUBLE_MAT4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x3

public static final int GL_DOUBLE_MAT2x3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT2x4

public static final int GL_DOUBLE_MAT2x4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x2

public static final int GL_DOUBLE_MAT3x2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT3x4

public static final int GL_DOUBLE_MAT3x4
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x2

public static final int GL_DOUBLE_MAT4x2
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_DOUBLE_MAT4x3

public static final int GL_DOUBLE_MAT4x3
Returned in the <type> parameter of GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_SAMPLE_SHADING

public static final int GL_SAMPLE_SHADING
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MIN_SAMPLE_SHADING_VALUE

public static final int GL_MIN_SAMPLE_SHADING_VALUE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINES

public static final int GL_ACTIVE_SUBROUTINES
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORMS

public static final int GL_ACTIVE_SUBROUTINE_UNIFORMS
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS

public static final int GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_MAX_LENGTH

public static final int GL_ACTIVE_SUBROUTINE_MAX_LENGTH
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH

public static final int GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_MAX_SUBROUTINES

public static final int GL_MAX_SUBROUTINES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS

public static final int GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_NUM_COMPATIBLE_SUBROUTINES

public static final int GL_NUM_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:

See Also:
  - Constant Field Values

### GL_COMPATIBLE_SUBROUTINES

public static final int GL_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:

See Also:
  - Constant Field Values

### GL_PATCHES

public static final int GL_PATCHES
Accepted by the <mode> parameter of Begin and all vertex array functions that implicitly call Begin:

See Also:
  - Constant Field Values

### GL_PATCH_VERTICES

public static final int GL_PATCH_VERTICES
Accepted by the <pname> parameter of PatchParameteri, GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_PATCH_DEFAULT_INNER_LEVEL

public static final int GL_PATCH_DEFAULT_INNER_LEVEL
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_PATCH_DEFAULT_OUTER_LEVEL

public static final int GL_PATCH_DEFAULT_OUTER_LEVEL
Accepted by the <pname> parameter of PatchParameterfv, GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_OUTPUT_VERTICES

public static final int GL_TESS_CONTROL_OUTPUT_VERTICES
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_MODE

public static final int GL_TESS_GEN_MODE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_SPACING

public static final int GL_TESS_GEN_SPACING
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_VERTEX_ORDER

public static final int GL_TESS_GEN_VERTEX_ORDER
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_TESS_GEN_POINT_MODE

public static final int GL_TESS_GEN_POINT_MODE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_ISOLINES

public static final int GL_ISOLINES
Returned by GetProgramiv when <pname> is TESS_GEN_MODE:

See Also:
  - Constant Field Values

### GL_FRACTIONAL_ODD

public static final int GL_FRACTIONAL_ODD
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:

See Also:
  - Constant Field Values

### GL_FRACTIONAL_EVEN

public static final int GL_FRACTIONAL_EVEN
Returned by GetProgramiv when <pname> is TESS_GEN_SPACING:

See Also:
  - Constant Field Values

### GL_MAX_PATCH_VERTICES

public static final int GL_MAX_PATCH_VERTICES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_GEN_LEVEL

public static final int GL_MAX_TESS_GEN_LEVEL
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_PATCH_COMPONENTS

public static final int GL_MAX_TESS_PATCH_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS

public static final int GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS

public static final int GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_INPUT_COMPONENTS

public static final int GL_MAX_TESS_CONTROL_INPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS

public static final int GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SHADER

public static final int GL_TESS_EVALUATION_SHADER
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SHADER

public static final int GL_TESS_CONTROL_SHADER
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_ARRAY

public static final int GL_TEXTURE_CUBE_MAP_ARRAY
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, BindTexture, and GenerateMipmap:

Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:

Accepted by the <tex> parameter of GetTexImage:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP_ARRAY

public static final int GL_TEXTURE_BINDING_CUBE_MAP_ARRAY
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_CUBE_MAP_ARRAY

public static final int GL_PROXY_TEXTURE_CUBE_MAP_ARRAY
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CompressedTeximage3D, CompressedTexSubImage3D and CopyTexSubImage3D:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_MAP_ARRAY

public static final int GL_SAMPLER_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW

public static final int GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_CUBE_MAP_ARRAY

public static final int GL_INT_SAMPLER_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB

public static final int GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB

public static final int GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB

public static final int GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK

public static final int GL_TRANSFORM_FEEDBACK
Accepted by the <target> parameter of BindTransformFeedback:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_PAUSED

public static final int GL_TRANSFORM_FEEDBACK_PAUSED
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_ACTIVE

public static final int GL_TRANSFORM_FEEDBACK_ACTIVE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BINDING

public static final int GL_TRANSFORM_FEEDBACK_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_BUFFERS

public static final int GL_MAX_TRANSFORM_FEEDBACK_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glBlendEquationi

public static void glBlendEquationi(int buf, int mode)

### glBlendEquationSeparatei

public static void glBlendEquationSeparatei(int buf, int modeRGB, int modeAlpha)

### glBlendFunci

public static void glBlendFunci(int buf, int src, int dst)

### glBlendFuncSeparatei

public static void glBlendFuncSeparatei(int buf, int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, ByteBuffer indirect)

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, long indirect_buffer_offset)

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, IntBuffer indirect)
Overloads glDrawArraysIndirect.

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, ByteBuffer indirect)

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, IntBuffer indirect)
Overloads glDrawElementsIndirect.

### glUniform1d

public static void glUniform1d(int location, double x)

### glUniform2d

public static void glUniform2d(int location, double x, double y)

### glUniform3d

public static void glUniform3d(int location, double x, double y, double z)

### glUniform4d

public static void glUniform4d(int location, double x, double y, double z, double w)

### glUniform1

public static void glUniform1(int location, DoubleBuffer value)

### glUniform2

public static void glUniform2(int location, DoubleBuffer value)

### glUniform3

public static void glUniform3(int location, DoubleBuffer value)

### glUniform4

public static void glUniform4(int location, DoubleBuffer value)

### glUniformMatrix2

public static void glUniformMatrix2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3

public static void glUniformMatrix3(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4

public static void glUniformMatrix4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix2x3

public static void glUniformMatrix2x3(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix2x4

public static void glUniformMatrix2x4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3x2

public static void glUniformMatrix3x2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix3x4

public static void glUniformMatrix3x4(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4x2

public static void glUniformMatrix4x2(int location, boolean transpose, DoubleBuffer value)

### glUniformMatrix4x3

public static void glUniformMatrix4x3(int location, boolean transpose, DoubleBuffer value)

### glGetUniform

public static void glGetUniform(int program, int location, DoubleBuffer params)

### glMinSampleShading

public static void glMinSampleShading(float value)

### glGetSubroutineUniformLocation

public static int glGetSubroutineUniformLocation(int program, int shadertype, ByteBuffer name)

### glGetSubroutineUniformLocation

public static int glGetSubroutineUniformLocation(int program, int shadertype, CharSequence name)
Overloads glGetSubroutineUniformLocation.

### glGetSubroutineIndex

public static int glGetSubroutineIndex(int program, int shadertype, ByteBuffer name)

### glGetSubroutineIndex

public static int glGetSubroutineIndex(int program, int shadertype, CharSequence name)
Overloads glGetSubroutineIndex.

### glGetActiveSubroutineUniform

public static void glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname, IntBuffer values)

### glGetActiveSubroutineUniform

@Deprecated public static int glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetActiveSubroutineUniformi(int, int, int, int)` instead.
Overloads glGetActiveSubroutineUniformiv.

### glGetActiveSubroutineUniformi

public static int glGetActiveSubroutineUniformi(int program, int shadertype, int index, int pname)
Overloads glGetActiveSubroutineUniformiv.

### glGetActiveSubroutineUniformName

public static void glGetActiveSubroutineUniformName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)

### glGetActiveSubroutineUniformName

public static String glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize)
Overloads glGetActiveSubroutineUniformName.

### glGetActiveSubroutineName

public static void glGetActiveSubroutineName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)

### glGetActiveSubroutineName

public static String glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize)
Overloads glGetActiveSubroutineName.

### glUniformSubroutinesu

public static void glUniformSubroutinesu(int shadertype, IntBuffer indices)

### glGetUniformSubroutineu

public static void glGetUniformSubroutineu(int shadertype, int location, IntBuffer params)

### glGetUniformSubroutineu

@Deprecated public static int glGetUniformSubroutineu(int shadertype, int location)
Deprecated.
Will be removed in 3.0. Use `glGetUniformSubroutineui(int, int)` instead.
Overloads glGetUniformSubroutineuiv.

### glGetUniformSubroutineui

public static int glGetUniformSubroutineui(int shadertype, int location)
Overloads glGetUniformSubroutineuiv.

### glGetProgramStage

public static void glGetProgramStage(int program, int shadertype, int pname, IntBuffer values)

### glGetProgramStage

@Deprecated public static int glGetProgramStage(int program, int shadertype, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetProgramStagei(int, int, int)` instead.
Overloads glGetProgramStageiv.

### glGetProgramStagei

public static int glGetProgramStagei(int program, int shadertype, int pname)
Overloads glGetProgramStageiv.

### glPatchParameteri

public static void glPatchParameteri(int pname, int value)

### glPatchParameter

public static void glPatchParameter(int pname, FloatBuffer values)

### glBindTransformFeedback

public static void glBindTransformFeedback(int target, int id)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(IntBuffer ids)

### glDeleteTransformFeedbacks

public static void glDeleteTransformFeedbacks(int id)
Overloads glDeleteTransformFeedbacks.

### glGenTransformFeedbacks

public static void glGenTransformFeedbacks(IntBuffer ids)

### glGenTransformFeedbacks

public static int glGenTransformFeedbacks()
Overloads glGenTransformFeedbacks.

### glIsTransformFeedback

public static boolean glIsTransformFeedback(int id)

### glPauseTransformFeedback

public static void glPauseTransformFeedback()

### glResumeTransformFeedback

public static void glResumeTransformFeedback()

### glDrawTransformFeedback

public static void glDrawTransformFeedback(int mode, int id)

### glDrawTransformFeedbackStream

public static void glDrawTransformFeedbackStream(int mode, int id, int stream)

### glBeginQueryIndexed

public static void glBeginQueryIndexed(int target, int index, int id)

### glEndQueryIndexed

public static void glEndQueryIndexed(int target, int index)

### glGetQueryIndexed

public static void glGetQueryIndexed(int target, int index, int pname, IntBuffer params)

### glGetQueryIndexed

@Deprecated public static int glGetQueryIndexed(int target, int index, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetQueryIndexedi(int, int, int)` instead.
Overloads glGetQueryIndexediv.

### glGetQueryIndexedi

public static int glGetQueryIndexedi(int target, int index, int pname)
Overloads glGetQueryIndexediv.